Subject: Issue 820: RE: Legal review results 1: Intellectual property (fwd )

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 26 Jan 2005 15:55:14 +0100

I included an issue number.

The text had just made it to the list before your repost.

So I have added the suggested wording with Haralds adjustment
to the revision 05.

Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Harald Tveit Alvestrand
> Sent: Wednesday, January 26, 2005 14:49
> To: [email-masked]
> Subject: RE: Legal review results 1: Intellectual property (fwd)
> 
> 
> This doesn't seem to have made it to the list...
> 
> 
> ---------- Forwarded Message ----------
> Date: mandag, januar 24, 2005 15:53:48 -0500
> From: "Contreras, Jorge" <[email-masked]>
> To: Brian E Carpenter <[email-masked]>, Harald Tveit Alvestrand 
> <[email-masked]>
> Cc: [email-masked]
> Subject: RE: Legal review results 1: Intellectual property
> 
> > If we assume that the IETF will never be interested in 
> preventing others
> > from using its software, we can remove the stuff that says 
> ".. and ISOC
> > will not utilize or access..... without the written consent 
> of the IAD".
> > Jorge - see any problems with removing this?
> 
> JLC> No problem.
> 
> > We should perhaps ask Jorge to modify his words to ensure 
> that they don't
> > preclude IASA from using or contributing to open source software
> 
> JLC> I had tried to ensure this, but if there's something that seems
> to be a problem I'm all for fixing it!
> 
> By the way, this language related primarily to IASA's rights
> in software developed for it by someone else, and didn't really
> have much to do with software developed by IASA itself.  IASA/IETF
> is completely free to contribute to open source projects with software
> developed by IASA personnel, to the extent that there are any.
> 
> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Monday, January 24, 2005 9:34 AM
> To: Harald Tveit Alvestrand
> Cc: [email-masked]; Contreras, Jorge
> Subject: Re: Legal review results 1: Intellectual property
> 
> 
> Harald Tveit Alvestrand wrote:
> > (explicit CC to Jorge, since I'm interpreting his words)
> >
> > --On fredag, januar 21, 2005 10:49:21 -0500 Bruce Lilly
> > <[email-masked]> wrote:
> >
> >> Verbosity aside, I don't believe that "sole control and 
> custodianship"
> >> applies to open source software. I am not a lawyer, but 
> the "Old text"
> >> seems not only more easily comprehended [I am reminded of Jonathan
> >> Swift's satirical look at lawyers in Gulliver's Travels, 
> and dismayed
> >> that things haven't improved in 275 years] but seems to be 
> considerably
> >> more favorable to open source software than the proposed 
> "new text";
> >> the latter appears to be heavily biased towards commercial 
> software.
> >
> >
> > On reading the text again, I think this text:
> >
> >> (B)  If an IASA Contract provides for the creation, development or
> >>  modification of any software (including, without limitation, any
> >> search tools, indexing tools and the like) ("Developed Software")
> >> then the IAD shall, whenever reasonable and practical, ensure
> >> that such contract either (a) grants ownership of such Developed
> >> Software to ISOC, or (b) grants ISOC a perpetual, irrevocable
> >> right, on behalf of IASA and IETF, to use, display, distribute,
> >> reproduce, modify and create derivatives of such Software
> >> (including, without limitation, pursuant to an open source style
> >> license).  It is preferred that Developed Software be provided and
> >> licensed for IASA and IETF use in source code form.
> >> ISOC will permit IASA and its designee(s) to have sole control and
> >> custodianship of such Developed Software, and ISOC
> >> will not utilize or access such Developed Software in
> >> connection with any ISOC function other than IETF without
> >> the written consent of the IAD.  The foregoing rights are 
> not required
> >> in the case of off-the-shelf or other 
> commercially-available software
> >>  that is not developed at the expense of ISOC.
> >
> >
> > actually is OK for making software free - that would come under the
> > section that says:
> >
> >> .... or (b) grants ISOC a perpetual, irrevocable
> >> right, on behalf of IASA and IETF, to use, display, distribute,
> >> reproduce, modify and create derivatives of such Software
> >> (including, without limitation, pursuant to an open source style
> >> license).
> >
> >
> > If we assume that the IETF will never be interested in 
> preventing others
> > from using its software, we can remove the stuff that says 
> ".. and ISOC
> > will not utilize or access..... without the written consent 
> of the IAD".
> > Jorge - see any problems with removing this?
> >
> > The "IASA and its designee(s)" says that IASA, not ISOC, 
> decides to give
> > others permission to use it - ISOC can't give orders to 
> IASA to limit it.
> >
> 
> We should perhaps ask Jorge to modify his words to ensure 
> that they don't
> preclude IASA from using or contributing to open source software.
> 
>     Brian
> 
> 
> 
> ---------- End Forwarded Message ----------
> 
> 
> 
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf